import request from '@/utils/request'

// 查询检查问题记录列表
export function listIssues(query) {
  return request({
    url: '/patrol/issues/list',
    method: 'get',
    params: query
  })
}

// 查询检查问题记录详细
export function getIssues(id) {
  return request({
    url: '/patrol/issues/' + id,
    method: 'get'
  })
}

// 新增检查问题记录
export function addIssues(data) {
  return request({
    url: '/patrol/issues',
    method: 'post',
    data: data
  })
}

// 修改检查问题记录
export function updateIssues(data) {
  return request({
    url: '/patrol/issues',
    method: 'put',
    data: data
  })
}

// 删除检查问题记录
export function delIssues(id) {
  return request({
    url: '/patrol/issues/' + id,
    method: 'delete'
  })
}
